.swade.chat-card {
  font-style: normal;
  font-size: var(--font-size-12);

  .pp-counter,
  .ammo-counter {
    margin: $small-spacing 0;
  }

  .ammo-counter {
    display: flex;
    column-gap: $medium-spacing;
    .ammo-name {
      margin-left: auto;
    }
    .magazine {
      text-decoration-style: dotted;
    }
  }

  .card-header {
    padding: 3px 0;
    border-top: 2px groove #fff;
    border-bottom: 2px groove #fff;

    img {
      flex: 0 0 36px;
      margin-right: 5px;
      border: none;
      object-fit: cover;
    }

    h3 {
      flex: 1;
      margin: 0;
      line-height: 36px;
      color: #111;
      overflow: hidden;
      height: 30px;
      word-break: break-all;
      &:hover {
        color: #111;
      }
    }
  }

  .card-content {
    margin: 5px 0;
    h3 {
      font-size: var(--font-size-12);
      margin: 0;
      font-weight: bold;
    }
    > * {
      user-select: text;
    }
  }

  .templates:not(:has(button)) {
    display: none;
  }

  .card-buttons {
    margin: 5px 0;

    span {
      line-height: 28px;
      text-align: center;
    }

    button {
      font-size: var(--font-size-12);
      height: 24px;
      line-height: 20px;
      margin: 2px 0;
    }
  }

  .card-footer {
    padding: 3px 0 0;
    border-top: 2px groove #fff;

    span {
      border-right: 2px groove #fff;
      padding: 0 5px 0 0;
      font-size: 10px;

      &:last-child {
        border-right: none;
        padding-right: 0;
      }
    }
  }
}

.chat-message .message-header .message-sender {
  white-space: normal;
}

.chat-message {
  .initiative-redraw {
    text-align: end;
  }
  .initiative-draw {
    position: relative;
    display: grid;
    grid-template-columns: max-content 1fr;
    gap: 1em;
    align-items: center;
    margin: 0.5em;
    .action-card {
      grid-column: 1;
      position: relative;
      border: none;
      filter: drop-shadow(2px 3px 2px rgb(0 0 0 / 50%));
      transition:
        transform 0.2s ease-in,
        filter 0.2s ease-in,
        z-index 0.2s step-end;
      transform-origin: center left;
      z-index: 0;
      &.rotate-deg-2 {
        transform: rotate(2deg);
      }
      &.rotate-deg-negative-2 {
        transform: rotate(-2deg);
      }
      &.rotate-deg-3 {
        transform: rotate(3deg);
      }
      &.rotate-deg-negative-3 {
        transform: rotate(-3deg);
      }
      &.rotate-deg-4 {
        transform: rotate(4deg);
      }
      &.rotate-deg-negative-4 {
        transform: rotate(-4deg);
      }
      .card-face {
        position: relative;
        height: 75px;
        border: none;
      }
      &:hover {
        transform: scale(4.75) rotate(0deg);
        filter: drop-shadow(4px 6px 4px rgb(0 0 0 / 50%));
        z-index: 2;
        transition:
          transform 0.2s ease-in,
          z-index 0.2s step-start;
      }
    }
    .card-name {
      grid-column: 2;
      font-size: 1.125em;
      font-weight: 700;
      line-height: 1;
      margin-bottom: 0;
    }
  }
  .discarded-cards {
    &.compact {
      padding-top: 0;
    }
    position: relative;
    padding: 0.5rem 0;
    z-index: 1;
    &:hover {
      z-index: 1;
      transition: z-index 0.2s step-start;
    }
    .initiative-draw {
      margin-left: -0.5em;
      scale: 90%;
      position: relative;
      z-index: 0;
      transition: z-index 0.2s step-end;
      .action-card:hover {
        transform: scale(5.25) rotate(0deg);
      }
    }
  }
  &:first-child .initiative-draw .picked-card,
  &:nth-of-type(2) .initiative-draw .picked-card {
    transform-origin: top left;
    &:hover {
      transform-origin: top left;
    }
  }
  &:last-child .initiative-draw .picked-card,
  &:nth-last-of-type(2):not(:nth-of-type(2)) .initiative-draw .picked-card {
    transform-origin: bottom left;
    &:hover {
      transform-origin: bottom left;
    }
  }
}
